QGIS Application - Bug report #19909
Vertex markers not displayed properly for MultiPolygon features
2018-09-21 10:02 AM - Andreas Wicht

Status: Closed

Priority: High

Assignee: Hugo Mercier

Category: Map Canvas

Affected QGIS version:3.4.1 Regression?: Yes
Operating System: Windows 10/ Ubuntu 18.04 Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 27733
Description

When editing a MultiPolygon Layer the vertex markers are not displayed correctly. | suspect this behavior gets more frequent, the larger
the number of vertices in a feature is.
When zooming to the part where no vertex markers are displayed, they will appear when zooming close enough.

- Changing "Show markers only for selected features" does not affect the behavior.
- the polygon is valid
- it does not matter if the polygon is selected or not

Associated revisions

Revision 389149¢8 - 2019-01-30 03:31 PM - Hugo Mercier

Fix vertex marker display for multipolygon (fixes #19909)

The i == 0 test was wrong, and a test is actually not needed.

Revision ¢3819e88 - 2019-01-31 10:21 AM - Hugo Mercier

Merge pull request #9036 from mhugo/fix_19909

Fix vertex marker display for multipolygon (fixes #19909)

Revision 9abcdOe1 - 2019-02-01 10:07 AM - Hugo Mercier

Fix vertex marker display for multipolygon (fixes #19909)

The i == 0 test was wrong, and a test is actually not needed.

(cherry picked from commit 389149c8dce8d84cdd74dbc05ca5f22e451dac8a)

History

#1 - 2018-09-24 11:45 AM - Giovanni Manghi
- Status changed from Open to Feedback

Does it works as expected on 2.187?
#2 - 2018-09-24 01:11 PM - Andreas Wicht
- Status changed from Feedback to Open

Yes. Sorry, forgot to add that.

#3 - 2018-11-15 09:11 AM - Bernhard Strobl

Hi Andi, this is when selecting the feature with the select tool, not with highlighting with the node tool, correct?

#4 - 2018-11-15 04:54 PM - Giovanni Manghi
- Status changed from Open to Feedback

#5 - 2018-11-16 12:57 PM - Andreas Wicht

Hi Bernhard, yes | was talking about the selected (select tool) not highlighted representation of a multipolygon (see attached example polygon).

The problem persists in 3.4.1

#6 - 2018-11-21 03:21 PM - Andreas Wicht

- Status changed from Feedback to Open

#7 - 2018-11-21 05:48 PM - Giovanni Manghi

- Priority changed from Normal to High

- Regression? changed from No to Yes

- Affected QGIS version changed from 3.2.3 to 3.4.1

#8 - 2018-11-27 10:49 AM - Andreas Wicht

Problem also persists in 3.4.2

#9 - 2019-01-30 02:11 PM - Hugo Mercier

- Assignee set to Hugo Mercier

Reproduced

#10 - 2019-01-30 03:33 PM - Hugo Mercier
- Pull Request or Patch supplied changed from No to Yes

PR https://github.com/qgis/QGIS/pull/9036

#11 - 2019-01-31 10:20 AM - Hugo Mercier
- % Done changed from 0 to 100
- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/9036

Applied in changeset commit:qgis|389149c8dce8d84cdd74dbc05ca5f22e451dac8a.
